# $Revision: 1.24 $, $Date: 2007/02/12 22:09:12 $
#
%define		module	pygobject
#
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Name:		python-%{module}
Version:	2.12.3
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/gnome/sources/pygobject/2.12/%{module}-%{version}.tar.bz2
# Source0-md5:	009986021225b7ea6e0ba848707785af
Patch0:		%{name}-pc.patch
URL:		http://www.pygtk.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.7
BuildRequires:	glib2-devel >= 1:2.12.4
BuildRequires:	libtool
BuildRequires:	libxslt-progs >= 1.1.17
BuildRequires:	python-devel >= 1:2.3.5
%pyrequires_eq	python-modules
BuildRequires:	rpm-pythonprov
Requires:	glib2 >= 1:2.12.4
Conflicts:	python-pygtk < 1:1.0
Obsoletes:	python-pygtk-glarea
Obsoletes:	python-pygtk-gobject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for GObject library.

%description -l pl.UTF-8
Wiązania Pythona do biblioteki GObject.

%package devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.4
Requires:	python-devel >= 1:2.3.5

%description devel
This package contains files required to build wrappers for GObject
addon libraries so that they interoperate with Python bindings.

%description devel -l pl.UTF-8
Pakiet zawiera pliki wymagane do zbudowania funkcji do biblioteki
GObject, tak by mogły te biblioteki kooperować z wiązaniami Pythona.

%package examples
Summary:	Example programs for GObject library
Summary(pl.UTF-8):	Programy przykładowe dla biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	python-pygtk

%description examples
This package contains example programs for GObject library.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla biblioteki GObject.

%package apidocs
Summary:	pygobject API documentation
Summary(pl.UTF-8):	Dokumentacja API pygobject
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
pygobject API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API pygobject.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTMLdir='%{_gtkdocdir}/%{module}'

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*/{*.la,*/*.la}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/{*.py,*/*.py,*/*/*.py}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gobject/*.so
%dir %{py_sitedir}/gtk-2.0
%dir %{py_sitedir}/gtk-2.0/gobject
%{py_sitedir}/gtk-2.0/gobject/*.py[co]
%{py_sitedir}/gtk-2.0/*.py[co]
%{py_sitedir}/*.py[co]
%{py_sitedir}/pygtk.pth
%dir %{_datadir}/%{module}
%dir %{_datadir}/%{module}/xsl

%files devel
%defattr(644,root,root,755)
%{_includedir}/pygtk-2.0
%{_pkgconfigdir}/*.pc
%{_datadir}/%{module}/xsl/*.py
%{_datadir}/%{module}/xsl/*.xsl

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygobject.spec,v $
Revision 1.24  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.22  2006/11/20 14:26:13  megabajt
- up to 2.12.3

Revision 1.21  2006/10/04 19:11:35  grzegol
- updated to 2.12.2
- removed outdated py25 patch (applied upstream)

Revision 1.20  2006/09/29 14:30:51  wiget
- added py25.patch - fix some warnings

Revision 1.19  2006/09/27 18:26:52  wrobell
- rel. 6 to rebuild with python 2.5 (final)

Revision 1.18  2006/09/09 16:19:08  arekm
- rel 5

Revision 1.17  2006/09/06 18:11:46  grzegol
- added pc patch (fixes pygdocs variable in pygobject-2.0.pc)
- rel. 4

Revision 1.16  2006/09/05 16:45:13  wiget
- don't duplicate apidocs in devel

Revision 1.15  2006/09/05 16:11:52  wiget
- place apidocs in pygobject not python-pygobject subdir, release 2

Revision 1.14  2006/09/05 14:21:43  wiget
- updated to 2.12.1

Revision 1.13  2006/09/04 21:51:52  grzegol
- updated to 2.12.0
- removed jhflags.m4, python.m4 and as-ac-expand.m4 sources (already
  included in tarball)

Revision 1.12  2006/08/28 12:42:00  grzegol
- 2.11.4

Revision 1.11  2006/08/27 10:52:59  havner
- rebuild with 2.5
- rel 2

Revision 1.10  2006/08/26 17:17:43  qboosh
- needs am >= 1.7

Revision 1.9  2006/08/21 20:00:19  freetz
- 2.11.3, removed typename patch (already in sources), updated deps,
 added as-ac-expand.m4 to sources

Revision 1.8  2006/08/13 21:29:29  grzegol
- added typename patch (s/typename/typename_/ in pygobject.h, because
  typename is C++ keyword)
- rel. 2

Revision 1.7  2006/08/10 20:26:52  freetz
- apidocs subpkg

Revision 1.6  2006/08/10 20:17:04  freetz
- 2.11.2, removed obsolete shade_verbatim patch, update file list

Revision 1.5  2006/08/07 20:16:21  freetz
- rel.3, added shade_verbatim patch

Revision 1.4  2006/08/07 15:59:56  freetz
- packaged xsl files, rel.2

Revision 1.3  2006/08/07 15:48:54  freetz
- 2.11.1, updated file list

Revision 1.2  2006/07/12 18:25:56  freetz
- 2.11.0, updated deps and file list

Revision 1.1  2006/06/07 12:18:02  freetz
- intial, based on pygtk spec
